Bug 45282 - Can't compile a project with an old mono version
Summary: Can't compile a project with an old mono version
Status: REOPENED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model ()
Version: 6.1.0 (C8)
Hardware: PC Linux
: Low normal
Target Milestone: Future Cycle (TBD)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-10-11 17:07 UTC by Malah
Modified: 2017-06-23 08:57 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
No other error shown (82.75 KB, image/png)
2016-10-12 15:52 UTC, Malah
Details
Logs (86.52 KB, text/plain)
2016-10-17 18:28 UTC, Malah
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 45282 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description Malah 2016-10-11 17:07:34 UTC
Hello, I maintain some plugins for an Unity3D game which use .NET/Mono 3.5. For this I've keep a parallel mono environments with .Net/Mono 3.5 and since Monodevelop 6.1.X I can't compile my work.

malah@arch-desktop:~/Code/Packages/mono42 $ pacman -Q mono mono42 monodevelop-stable fsharp mono-addins gnome-sharp
mono 4.6.1.3-1
mono42 4.2.4.4-2
monodevelop-stable 6.1.1.15-1
fsharp 4.0.1.10-1
mono-addins 1.1-1
gnome-sharp 2.24.2-4

(mono42 is the parallel mono environments on /opt/mono42 which has .Net/Mono 3.5)

malah@arch-desktop:~/Code/Packages/mono42 $ uname -a
Linux arch-desktop 4.7.6-1-ARCH #1 SMP PREEMPT Fri Sep 30 19:28:42 CEST 2016 x86_64 GNU/Linux

Errors seen:
Error: Build failed. See the build log for details. (QuickBrake)

Building Solution: QuickBrake (Release)

---------------------- Done ----------------------

Build failed.
Build: 1 error, 0 warnings

I haven't found where are the logs, if you could help me to found them ;)
Comment 1 Mike Krüger 2016-10-12 07:19:56 UTC
Click on the 'Build Output' button of the errors panel.
Comment 2 Malah 2016-10-12 15:52:30 UTC
Created attachment 18001 [details]
No other error shown
Comment 3 Lluis Sanchez 2016-10-17 10:58:08 UTC
Please check the IDE log. To find it, use the Help -> Open Log Directory command.
Comment 4 Malah 2016-10-17 18:28:10 UTC
Created attachment 18088 [details]
Logs
Comment 5 Lluis Sanchez 2017-01-31 18:58:50 UTC
Reopening.